Subject: Re: [nvo3] Another question on NV03 charter

From: Lizhong Jin<[email-masked]>
Date: Fri, 23 Mar 2012 14:34:32 +0800

Hi Larry,
There could be a switched/routed network between OBP and end-system, on 
the condition that the switched/routed network belongs to only one tenant. 
A typical use case is in section 3.7 of NVGRE draft. That is to say, the 
OBP should be attached directly with tenant end-points or tenant network. 
When OBP attaching tenant end-points, BPDUs should be dropped or notifying 
the admin at OBP.

Regards
Lizhong

> 
> We are currently considering the overlays to be terminated at the edge 
of
> the network on either side of the wire connecting a server to the 
network.
> Specifically, this means either inside the hypervisor or in the access
> switch it is connected to.
> 
> As Dimitri brings up below, it is interesting to consider blade server
> systems that have a bridge-like function built into them, where the 
access
> switch is outside of the blade server system.  In that case, there is a 
type
> of bridging element.  I can't speak for all blade systems, but I know of
> more than one that attempt to make the integrated "bridge-like"
> functionality look more like a host to the network switches that they 
are
> connected to.  For example, they do not switch traffic between uplinks 
and
> therefore do not run STP (after all, they are often administered by 
server
> admins and not network admins).  Since these "bridge-like" devices are 
in a
> bit of a limbo between acting like an end system and acting like a 
bridge, I
> think it is worthwhile trying to see how the network overlay can still 
be
> terminated at the access switch they are connected to (since these 
access
> switches are administered by the network admin).
> 
>  - Larry
> 
>

---

From: "LASSERRE, MARC (MARC)" <[email-masked]>
Date: Fri, 23 Mar 2012 14:38:56 +0100

Lizhong,

At this stage, I do not think that we should have such a restriction.
Even if such a restriction were to be applied, it is still possible for end-systems to use back-door links for redundancy purposes.
In this case, it is necessary for NVEs (aka OBPs) to deal with loop avoidance and possibly to participate in the spanning tree and/or to tunnel BPDUs.

Marc

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Lizhong Jin
Sent: Friday, March 23, 2012 7:35 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; Stiliadis, Dimitrios (Dimitri); [email-masked]; [email-masked]
Subject: Re: [nvo3] Another question on NV03 charter

Hi Larry,
There could be a switched/routed network between OBP and end-system, on the condition that the switched/routed network belongs to only one tenant. A typical use case is in section 3.7 of NVGRE draft. That is to say, the OBP should be attached directly with tenant end-points or tenant network. When OBP attaching tenant end-points, BPDUs should be dropped or notifying the admin at OBP.

Regards
Lizhong

>
> We are currently considering the overlays to be terminated at the edge of
> the network on either side of the wire connecting a server to the network.
> systems that have a bridge-like function built into them, where the access
> switch is outside of the blade server system.  In that case, there is a type
> functionality look more like a host to the network switches that they are
> connected to.  For example, they do not switch traffic between uplinks and
> therefore do not run STP (after all, they are often administered by server
> admins and not network admins).  Since these "bridge-like" devices are in a
> bit of a limbo between acting like an end system and acting like a bridge, I
> think it is worthwhile trying to see how the network overlay can still be
> terminated at the access switch they are connected to (since these access

---

From: Lizhong Jin<[email-masked]>
Date: Sun, 25 Mar 2012 06:15:36 +0800

Hi Marc,
If there is a back-door links for end-systems and there would be potential 
loop, then I would call this "end-systems" as a network instead of normal 
end-system, and OBP is attached exactly with tenant network. In that case, 
yes, BPDU should be processed. Of course, we need to define the 
terminology of tenant end-system and tenant network.

Regards
Lizhong

"LASSERRE, MARC (MARC)" <[email-masked]> wrote 
2012/03/23 21:38:56:

> Even if such a restriction were to be applied, it is still possible 
> for end-systems to use back-door links for redundancy purposes.
> In this case, it is necessary for NVEs (aka OBPs) to deal with loop 
> avoidance and possibly to participate in the spanning tree and/or to
> tunnel BPDUs.
> 
> Marc
> 
> 
> Cc: [email-masked]; [email-masked]; Stiliadis, Dimitrios 
> (Dimitri); [email-masked]; [email-masked]
> There could be a switched/routed network between OBP and end-system,
> on the condition that the switched/routed network belongs to only 
> one tenant. A typical use case is in section 3.7 of NVGRE draft. 
> That is to say, the OBP should be attached directly with tenant end-
> points or tenant network. When OBP attaching tenant end-points, 
> BPDUs should be dropped or notifying the admin at OBP. 
> 
> Regards 
> Lizhong 
> 
> 
> > 
of
network.
access
> > switch is outside of the blade server system.  In that case, thereis a 
type
are
and
server
in a
> > bit of a limbo between acting like an end system and acting like 
abridge, I
be
access